# Interface FormSwitchInputJson

Defines a desired user interface to present a binary switch, or toggle. This should be used when selecting between two options. See https://developers.arcgis.com/web-map-specification/objects/formSwitchInput/.

interface FormSwitchInputJson {
offValue?: string | number;
onValue?: string | number;
type: "switch";
}

#####
Index

### Properties

offValue?
onValue?
type

##
Properties

### `Optional` offValue

offValue?: string | number

The coded value when switch state is off.

### `Optional` onValue

onValue?: string | number

The coded value when switch state is on.

### type

type

The input type identifier.